Thickness property example

Sub Thickness_Example()

' This example adds an arc to the drawing. It then obtains

' the Thickness property and prompts the user to supply a new thickness.

    Dim myArc As AcadArc

    Dim cenPt(0 To 2) As Double: cenPt(0) = 4: cenPt(1) = 2

    Set myArc = ThisDrawing.ModelSpace.AddArc(cenPt, 3, 1, 3)

    myArc.Update

    Dim dThickness As Double

    dThickness = myArc.Thickness

    MsgBox "Arc's thickness = " & dThickness

    dThickness = InputBox("Enter new thickness for arc:")

    myArc.Thickness = dThickness

    MsgBox "Arc's thickness = " & dThickness

End Sub

 


Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved.